Project Chrono: chrono::ChLoaderNodeXYZ Class Reference

Public Member Functions | List of all members
chrono::ChLoaderNodeXYZ Class Reference

## Description

Loader for a constant force applied at a XYZ node.

An alternative is to set directly the node's own force member data as mynode->SetForce(), but this approach is more flexible (e.g. you can apply multiple forces at a single node). Another option is to use ChLoadNodeXYZForceAbs.

`#include <ChLoadsNodeXYZ.h>`

Inheritance diagram for chrono::ChLoaderNodeXYZ:
[legend]
Collaboration diagram for chrono::ChLoaderNodeXYZ:
[legend]

## Public Member Functions
| ChLoaderNodeXYZ (std::shared_ptr< ChLoadableUVW > loadable)
virtual void | ComputeF (double U, double V, double W, ChVectorDynamic<> &F, ChVectorDynamic<> *state_x, ChVectorDynamic<> *state_w) override
| Compute F=F(u,v,w).
void | SetForce (const ChVector3d &mf)
| Set the applied nodal force, assumed to be constant in space and time.
const ChVector3d & | GetForce () const
| Get the applied force.
Public Member Functions inherited from chrono::ChLoaderUVWatomic
| ChLoaderUVWatomic (std::shared_ptr< ChLoadableUVW > mloadable, double mU, double mV, double mW)
virtual void | ComputeQ (ChVectorDynamic<> *state_x, ChVectorDynamic<> *state_w) override
| Compute the generalized load Q = N'*F, using the ComputeF method.
void | SetApplication (double u, double v, double w)
| Set the position, in the volume, where the atomic load is applied.
Public Member Functions inherited from chrono::ChLoaderUVW
| ChLoaderUVW (std::shared_ptr< ChLoadableUVW > mloadable)
void | SetLoadable (std::shared_ptr< ChLoadableUVW > mloadable)
virtual std::shared_ptr< ChLoadable > | GetLoadable () override
std::shared_ptr< ChLoadableUVW > | GetLoadableUVW ()
Public Member Functions inherited from chrono::ChLoader
virtual bool | IsStiff ()

## Additional Inherited Members
Public Attributes inherited from chrono::ChLoaderUVW
std::shared_ptr< ChLoadableUVW > | loadable
Public Attributes inherited from chrono::ChLoader
ChVectorDynamic | Q

## Member Function Documentation

## ◆ ComputeF()

virtual void chrono::ChLoaderNodeXYZ::ComputeF | ( | double | U,
|  | double | V,
|  | double | W,
|  | ChVectorDynamic<> & | F,
|  | ChVectorDynamic<> * | state_x,
|  | ChVectorDynamic<> * | state_w )
| inlineoverridevirtual

Compute F=F(u,v,w).

Parameters

  U | parametric coordinate -not used
  V | parametric coordinate -not used
  W | parametric coordinate -not used
  F | result vector, size = field dim of loadable
  state_x | if not null, update state (pos. part) to this, then evaluate F
  state_w | if not null, update state (speed part) to this, then evaluate F

Implements chrono::ChLoaderUVW.

The documentation for this class was generated from the following file:

- D:/W/B/src/chrono-9.0.1/src/chrono/physics/ChLoadsNodeXYZ.h